package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.mes.bean.MesPartShippingGroup;
import cn.estsh.i3plus.pojo.mes.bean.MesPartShippingGroupDetail;
import cn.estsh.i3plus.pojo.mes.bean.shipping.MesShippingOrderManagement;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description:
 * @CreateDate 2024/04/16
 * @Author mingliang.li
 */
public interface IMesPartShippingGroupService {


    @ApiOperation(value = "查询发运组数据")
    public List<MesPartShippingGroup> findAll(DdlPackBean packBean);

    @ApiOperation(value = "查询发运组数据")
    MesPartShippingGroup getMesPartShippingGroup(String organizeCode,String shippingGroupCode);

    @ApiOperation(value = "打印发运单数据")
    List<MesShippingOrderManagement> doMesMesShippingOrderManagementPrint(MesShippingOrderManagement model, String userName);

    @ApiOperation(value = "发运组明细")
    MesPartShippingGroupDetail getMesPartShippingGroupDetail(String organizeCode, String shippingGroupCode, String partNo, String custPartNo);
}
